- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#body.BatchUpdateCustomTargetingValuesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#body.aspect)
- [UpdateCustomTargetingValueRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#UpdateCustomTargetingValueRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#UpdateCustomTargetingValueRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#try-it)

Batch updates `CustomTargetingValue` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/customTargetingValues:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of CustomTargetingValues. Format: `networks/{networkCode}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#UpdateCustomTargetingValueRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingValues/batchUpdate#UpdateCustomTargetingValueRequest`)`` Required. The `CustomTargetingValue` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `customTargetingValues.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customTargetingValues": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys.customTargetingValues#CustomTargetingValue`) } ] } ``` |

| Fields ||
|---|---|
| `customTargetingValues[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys.customTargetingValues#CustomTargetingValue`)`` The `CustomTargetingValue` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateCustomTargetingValueRequest

Request object for `customTargetingValues.patch` method.

| JSON representation |
|---|
| ``` { "customTargetingValue": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys.customTargetingValues#CustomTargetingValue`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `customTargetingValue` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customTargetingKeys.customTargetingValues#CustomTargetingValue`)`` Required. The `CustomTargetingValue` to update. The `CustomTargetingValue`'s `name` is used to identify the `CustomTargetingValue` to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |